<!doctype html>
<title>書籍管理台帳</title>

<link rel="stylesheet" href="/static/bootstrap.min.css">
<!-- <link rel="stylesheet" href="https://bootswatch.com/4/spacelab/bootstrap.min.css"> -->
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<link rel=stylesheet href="{{ url_for('static', filename='style.css') }}">
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.css">
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.js"></script>

<script>
    $(document).ready( function () {
        $('#myTable').DataTable(
            {
                "language": {
                    "emptyTable" : "データが登録されていません。",
                    "info" : "_TOTAL_ 件中 _START_ 件から _END_ 件までを表示",
                    "infoEmpty" : "",
                    "infoFiltered" : "(_MAX_ 件からの絞り込み表示)",
                    "infoPostFix" : "",
                    "thousands" : ",",
                    "lengthMenu" : "表示件数: _MENU_",
                    "loadingRecords" : "ロード中",
                    "processing" : "処理中...",
                    "search" : "検索",
                    "zeroRecords" : "該当するデータが見つかりませんでした。",
                    "paginate" : {
                        "first" : "先頭",
                        "previous" : "前へ",
                        "next" : "次へ",
                        "last" : "末尾"
                    }
                }
            }
        );
    });
</script>


<nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top">
    <a class="navbar-brand" href="/list">書籍管理台帳</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="{{ url_for('readme') }}">使い方</a>
            </li>
            {% if not session.logged_in %}
            <li class="nav-item">
                <a class="nav-link" href="{{ url_for('login') }}">ログイン</a>
            </li>
            {% else %}
            <li class="nav-item">
                <a class="nav-link" href="{{ url_for('entry.new_entry') }}">新規登録</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ url_for('logout') }}">ログアウト</a>
            </li>
            {% endif %}
        </ul>
        <form action="{{ url_for('entry.search_entries') }}" class="form-inline my-2 my-lg-0" method=post>
            <input class="form-control mr-sm-2" type="text" placeholder="Search" name=searchword>
            <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
        </form>
    </div>
</nav>


{% for category, message in get_flashed_messages(with_categories=true) %}
<div class="{{ category }}" role="alert">
    {{ message }}
</div>
{% endfor %}

<div class="book-body container">
    <p>
        {% block body %}{% endblock %}
    </p>
</div>
